[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.OnRunCommandEvent

Event handler, called when RunCommandLoop is executing

## Declaration

Source position: processbody.inc line 138

`public property TPROCESS.OnRunCommandEvent : TOnRunCommandEvent read FOnRunCommandEvent write FOnRunCommandEvent;`

## Description

OnRunCommandEvent is a progress report callback, called at various stages of the TProcess.RunCommandLoop call and when an exception occurs.

## See also

TProcess.RunCommandLoop |  | Execute command and collect output in strings